# Nastavení disku pro zápis a šifrování

Tento dokument obsahuje postupy, jak nastavit disk na Linuxovém systému tak, aby byl zapisovatelný a šifrovaný. Tento průvodce obsahuje kroky pro šifrování disku, připojení disku, nastavení oprávnění a změny vlastníka.

## 1. Šifrování disku

Pro šifrování disku můžete použít `cryptsetup` s LUKS. Níže jsou kroky pro inicializaci a otevření šifrovaného disku.

### Inicializace šifrování

První krok je inicializace LUKS na disku, což vytvoří šifrovaný kontejner. Všechna data na disku budou přepsána:

```bash
sudo cryptsetup luksFormat /dev/sdb2
```
## Otevření šifrovaného disku

Po inicializaci šifrování musíte disk otevřít, aby byl přístupný:

```bash
sudo cryptsetup open /dev/sdb2 encrypted_backup
```

To vytvoří mapované zařízení s názvem encrypted_backup, které můžete připojit:

```bash
sudo mount /dev/mapper/encrypted_backup /mnt/backup
```

## 2. Připojení zařízení

Pro připojení zařízení s možnostmi pro čtení a zápis použijte následující příkaz:

```bash
sudo mount /dev/mapper/encrypted_backup /mnt/backup -o rw
```

## 3. Nastavení oprávnění

Po připojení zařízení změňte oprávnění, aby bylo možné na něj zapisovat:

```bash
sudo chmod -R 777 /mnt/backup
```
Poznámka: Toto nastavení umožňuje čtení, zápis a spouštění pro všechny uživatele a může představovat bezpečnostní riziko. Používejte opatrně.

## 4. Změna vlastníka

Pro změnu vlastníka složky a umožnění správy bez použití sudo pro základní operace:

```bash
sudo chown -R archos:archos /mnt/backup
```
Ukládání dat

Data uložená na /mnt/backup budou automaticky šifrována při zápisu a dešifrována při čtení.

