#!/bin/bash

# Nastavení proměnných
ZDROJ="/cesta/k/zdrojovému/adresáři"
CIL="/cesta/k/záložnímu/adresáři"

# Seznam souborů a adresářů k vyloučení ze zálohování
EXCLUDE_LIST=(
    "cache"
    "*.tmp"
    "node_modules"
    "*.log"
)

# Sestavení příkazů --exclude pro rsync
EXCLUDES=()
for item in "${EXCLUDE_LIST[@]}"; do
    EXCLUDES+=("--exclude=$item")
done

# Zálohování pomocí rsync s vyloučením nepotřebných souborů a adresářů
rsync -av --delete "${EXCLUDES[@]}" "$ZDROJ/" "$CIL/"

# Výpis stavu zálohy
if [ $? -eq 0 ]; then
  echo "Zálohování úspěšně dokončeno: $(date)"
else
  echo "Zálohování selhalo: $(date)"
fi