#!/bin/bash

# Nastavení proměnných
ZDROJ="/cesta/k/zdrojovému/adresáři"
CIL="/cesta/k/záložnímu/adresáři"

# Datum a čas
DATUM=$(date +"%Y-%m-%d_%H-%M-%S")

# Vytvoření adresáře pro zálohu s datem a časem
NOVY_CIL="$CIL/backup_$DATUM"
mkdir -p "$NOVY_CIL"

# Zálohování pomocí rsync s možností mazání smazaných souborů ve zdrojovém adresáři
rsync -av --delete "$ZDROJ" "$NOVY_CIL"

# Výpis stavu zálohy
if [ $? -eq 0 ]; then
  echo "Zálohování úspěšně dokončeno: $DATUM"
else
  echo "Zálohování selhalo: $DATUM"
fi

# Volitelně: Odstranění starých záloh (např. starších než 7 dní)
find "$CIL" -type d -name "backup_*" -mtime +7 -exec rm -rf {} \;
