
# Taháky: Základní příkazy v Linuxu

Tento dokument poskytuje přehled nejčastěji používaných příkazů v Linuxu. Je určen pro rychlou referenci a pomoc při každodenní práci s terminálem.

## Navigace v souborovém systému

- `ls`: Zobrazí seznam souborů a adresářů v aktuálním adresáři.
- `cd`: Změní aktuální adresář.
- `pwd`: Zobrazí cestu k aktuálnímu adresáři.

## Operace se soubory a adresáři

- `cp`: Zkopíruje soubor nebo adresář.
- `mv`: Přesune nebo přejmenuje soubor nebo adresář.
- `rm`: Smaže soubor nebo adresář.
- `mkdir`: Vytvoří nový adresář.
- `rmdir`: Smaže prázdný adresář.
- `touch`: Vytvoří nový prázdný soubor nebo aktualizuje čas poslední modifikace souboru.
- `cat`: Zobrazí obsah souboru.

## Práce s oprávněními

- `chmod`: Změní oprávnění souboru nebo adresáře.
- `chown`: Změní vlastníka a skupinu souboru nebo adresáře.

## Informace o systému

- `df`: Zobrazí využití diskového prostoru.
- `du`: Zobrazí velikost souborů a adresářů.
- `top`: Zobrazí informace o běžících procesech.
- `uname`: Zobrazí informace o systému.

## Síťové příkazy

- `ping`: Otestuje dostupnost síťového zařízení.
- `ifconfig`: Zobrazí nebo nakonfiguruje síťová rozhraní.
- `netstat`: Zobrazí síťové spojení, směrovací tabulky, rozhraní a statistiky.
- `ssh`: Připojí se k vzdálenému systému přes SSH.

## Balíčkovací systémy

### Debian/Ubuntu

- `apt-get`: Spravuje balíčky v systémech založených na Debianu/Ubuntu.
 - `sudo apt-get update`
 - `sudo apt-get install balíček`
 - `sudo apt-get upgrade`

### Red Hat/CentOS

- `yum`: Spravuje balíčky v systémech založených na Red Hat/CentOS.
 - `sudo yum update`
 - `sudo yum install balíček`
 - `sudo yum upgrade`

### Arch Linux

- `pacman`: Spravuje balíčky v systémech založených na Arch Linuxu.
 - `sudo pacman -Syu`
 - `sudo pacman -S balíček`
 - `sudo pacman -R balíček`

## Další užitečné příkazy

- `grep`: Hledá řetězce v souborech.
- `find`: Hledá soubory a adresáře podle kritérií.
- `tar`: Archivuje a rozbalí soubory.
- `wget`: Stahuje soubory z internetu.

## Shrnutí

Tento tahák obsahuje základní příkazy pro každodenní práci s Linuxem. Pro další informace a pokročilé používání příkazů se podívejte do manuálových stránek pomocí příkazu `man` následovaného názvem příkazu, například `man ls`.

